import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class StargateContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    stargateAa({ address, network }: ContractOpts): import("./ethers").StargateAa;
    stargateChef({ address, network }: ContractOpts): import("./ethers").StargateChef;
    stargateEth({ address, network }: ContractOpts): import("./ethers").StargateEth;
    stargateFactory({ address, network }: ContractOpts): import("./ethers").StargateFactory;
    stargatePool({ address, network }: ContractOpts): import("./ethers").StargatePool;
    stargateVe({ address, network }: ContractOpts): import("./ethers").StargateVe;
}
export type { StargateAa } from './ethers';
export type { StargateChef } from './ethers';
export type { StargateEth } from './ethers';
export type { StargateFactory } from './ethers';
export type { StargatePool } from './ethers';
export type { StargateVe } from './ethers';
